version: '3'

services:
  db:
    image: mysql:5.7
    container_name: canap_db
    environment:
      MYSQL_ROOT_PASSWORD: canap_db
      MYSQL_DATABASE: canap_db
      MYSQL_USER: canap_db
      MYSQL_PASSWORD: canap_db
    volumes:
      - ./DB/SQL:/docker-entrypoint-initdb.d
      - ./DB/data:/var/lib/mysql
    ports:
      - "9906:3306"
    expose:
      - 9906
  form:
    build:
      context: ./
      dockerfile: Dockerfile-form.dockerfile
    container_name: canap_form
    depends_on:
      - db
    volumes:
      - .:/var/www/html/
    ports:
      - "8180:80"

networks:
  default:
    external:
      name: canap_network

